(* Программа move переименование файла *)
uses linux,stdio;

const
  usage = 'Применение: move файл1 файл2'#10;

(*
 * Программа использует аргументы командной строки,
 * передаваемые обычным способом.
 *)
begin
  if (paramcount <> 2) then
  begin
    fprintf(stderr, usage, []);
    halt(1);
  end;
  if not link(paramstr(1), paramstr(2)) then
  begin
    perror('Ошибка в вызове link');
    halt(1);
  end;
  if not unlink (argv[1]) then
  begin
    perror('Ошибка в вызове unlink');
    unlink(paramstr(2));
    halt(1);
  end;
  writeln('Успешное завершение');
  halt(0);
end.
